Skip to content

List a volume's backups

GET/volumes/{name}/backups
path parameters
object
namestringrequired

Volume name ([a-z0-9][a-z0-9-]*).

Responses
200 OKOK
BackupListResponse
backupsarray | null
items
Backup
consistencystring
created_atstringdate-time
encryptedboolean
host_idstring
idstring
kindstring
parent_idstring
size_bytesintegerint64
source_volumestring
501 Not Implemented
ErrorResponse
codestring
errorstring
Authentication
bearerAuthHTTP bearer. Daemon API key. Omit on a keyless loopback daemon.
Request
GET/volumes/{name}/backups
cURL
curl '/volumes/{name}/backups'
GET/volumes/{name}/backups
Request
Path
Authorization
curl '/volumes/{name}/backups'
Response
Send a request to see the response.
Response
200 OK
{
  "backups": [
    {
      "consistency": "string",
      "created_at": "2026-01-02T15:04:05Z",
      "encrypted": false,
      "host_id": "string",
      "id": "string",
      "kind": "string",
      "parent_id": "string",
      "size_bytes": 0,
      "source_volume": "string"
    }
  ]
}
Was this page helpful?